/*
 * $Id: RCPartner.java,v 1.3 2002/07/09 21:42:32 stork Exp $
 *
 * $Log: RCPartner.java,v $
 * Revision 1.3  2002/07/09 21:42:32  stork
 * update doukumentation
 *
 * Revision 1.2  2002/06/07 18:14:09  stork
 * add log support
 *
 *
 */

/**
 * represent a pass partner
 */
public class RCPartner {
	
    public RCObject Player;
    public double angle;
    public double distance;
    public double likelihood = 0.;
    
    /**
     * Constuctor.
     * @param Player the player object with all his data
     * @param angle the rel. angle to the player
     * @param distance the distance to the player
     */   
    public RCPartner(RCObject Player, double angle, double distance){
	this.Player = Player;
	this.angle = angle;
	this.distance = distance;
    }
    
    /**
     * empty constructor
     */
    public RCPartner(){
  	this.Player = new RCObject();
    }    
}
