/*
 * $Id: RCPlayMode.java,v 1.2 2002/06/22 20:15:41 stork Exp $
 *
 * $Log: RCPlayMode.java,v $
 * Revision 1.2  2002/06/22 20:15:41  stork
 * add some more dokumentation
 *
 * Revision 1.1.1.1  2002/05/21 20:32:05  stork
 * empty project
 *
 */

/**
 * This interface contains some symbolic constants for the
 * playmode.
 */
public interface RCPlayMode {
  /** Attributes */
  public int BEFORE_KICKOFF = 0;
  public int TIME_OVER = 1;
  public int PLAY_ON = 2;
  public int KICKOFF_LEFT = 3;
  public int KICKOFF_RIGHT = 4;
  public int KICKIN_LEFT = 5;
  public int KICKIN_RIGHT = 6;
  public int FREEKICK_LEFT = 7;
  public int FREEKICK_RIGHT = 8;
  public int CORNERKICK_LEFT = 9;
  public int CORNERKICK_RIGHT = 10;
  public int GOALKICK_LEFT = 11;
  public int GOALKICK_RIGHT = 12;
  public int AFTERGOAL_LEFT = 13;
  public int AFTERGOAL_RIGHT = 14;
  public int DROP_BALL = 15;
  public int OFFSIDE_LEFT = 16;
  public int OFFSIDE_RIGHT = 17;
  public int MAX = 18;
}

