/*
 * $Id: RCLog.java,v 1.6 2002/07/04 16:57:09 transier Exp $
 *
 * $Log: RCLog.java,v $
 * Revision 1.6  2002/07/04 16:57:09  transier
 * disable logging for performance
 *
 * Revision 1.5  2002/07/03 19:07:36  stork
 * enable flush for log file
 *
 * Revision 1.4  2002/07/03 17:21:04  stork
 * add some debug messages
 *
 * Revision 1.3  2002/07/02 20:54:16  stork
 * add syncronize to RCLog
 *
 * Revision 1.2  2002/06/22 20:15:41  stork
 * add some more dokumentation
 *
 * Revision 1.1  2002/06/08 14:38:49  stork
 * basic logging class
 *
 */
import java.io.*;
import java.util.*;

/**
 * Class for writing error, warning or debug messages to the
 * log file (RCTeam.log).
 */
class RCLog{
    protected BufferedWriter Writer;
    protected File LogFile;
    public boolean activeLog;
    //    public boolean activeDebug;

    /**
     * Construktor
     */
    public RCLog(){
	try{
	    activeLog = true;
	    //	    activeDebug = true;
	    GregorianCalendar Cal = new GregorianCalendar();
	    LogFile = new File("RCTeam.log");
	    if( LogFile.exists() )
		LogFile.delete();
	    LogFile.createNewFile();
	    Writer = new BufferedWriter(new FileWriter(LogFile));
	    Log("--- Log start at " + Cal.getTime());
	}catch(IOException e){
	    System.out.println("cant open log file");
	    Writer = null;
	}
    }


    /**
     * this methode write the message to the log file
     *
     * @param Message messageto write
     */
    public synchronized void Log( String Message ){
//	try{
//	    if( (Writer != null) && (LogFile.canWrite()) && (activeLog == true) ){
//		Writer.write(Message+"\n");
//		Writer.flush();
//	    }
//	}catch(IOException e){
	    
//	}
    }

    /*
     * insert a debug message to the logfile
     *
     * @param Message
     */
    public synchronized void Debug( String Message ){
	Log("*** DEBUG : "+Message);
    }
}
